Update neighbor
curl --request PUT \
--url https://api.example.com/service/{tenant_name}/bgp/neighbor/{remote_router_ip} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"max_pfx_in": 500,
"max_pfx_out": 500,
"pfx_list_in": "<string>",
"pfx_list_out": "<string>",
"passive": true,
"update_source": "<string>",
"keepalive": 123,
"hold": 123,
"open_delay": 123,
"shutdown": true,
"description": "<string>",
"bfd_config": {
"transmit_interval": 0,
"receive_interval": 0,
"detect_multiplier": 0,
"passive_mode": false
},
"enable": true
}
'import requests
url = "https://api.example.com/service/{tenant_name}/bgp/neighbor/{remote_router_ip}"
payload = {
"max_pfx_in": 500,
"max_pfx_out": 500,
"pfx_list_in": "<string>",
"pfx_list_out": "<string>",
"passive": True,
"update_source": "<string>",
"keepalive": 123,
"hold": 123,
"open_delay": 123,
"shutdown": True,
"description": "<string>",
"bfd_config": {
"transmit_interval": 0,
"receive_interval": 0,
"detect_multiplier": 0,
"passive_mode": False
},
"enable": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
max_pfx_in: 500,
max_pfx_out: 500,
pfx_list_in: '<string>',
pfx_list_out: '<string>',
passive: true,
update_source: '<string>',
keepalive: 123,
hold: 123,
open_delay: 123,
shutdown: true,
description: '<string>',
bfd_config: {
transmit_interval: 0,
receive_interval: 0,
detect_multiplier: 0,
passive_mode: false
},
enable: true
})
};
fetch('https://api.example.com/service/{tenant_name}/bgp/neighbor/{remote_router_ip}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"extra_details": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}service - routing - BGP
Update neighbor
PUT
/
service
/
{tenant_name}
/
bgp
/
neighbor
/
{remote_router_ip}
Update neighbor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required range:
0 <= x <= 1000Required range:
0 <= x <= 1000Show child attributes
Show child attributes
⌘I